
Name:		whatsapp-desktop
Version:	0.4.2
Release:	%mkrel 1
Summary:	WhatsApp desktop client, based on the official WhatsApp web app.
License:	GPLv3
Group:		Networking/Instant messaging
URL:		https://github.com/Enrico204/Whatsapp-Desktop
Source1:	%name.desktop
Source2:	%name.png
BuildRequires:	wget
Requires: 	xdg-utils
Obsoletes: 	%{name} < %version
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
AutoReqProv: 	no

%description
WhatsApp desktop client, based on the official WhatsApp web app, built with Electron.

This is NOT an official product. This project does not attempt to reverse engineer
the WhatsApp API or attempt to reimplement any part of the WhatsApp client.
Any communication between the user and WhatsApp servers is handled by official
WhatsApp Web itself; this is just a native wrapper for WhatsApp Web, like a browser.

Original version of WhatsApp Desktop was written by @bcalik here:
https://github.com/bcalik/Whatsapp-Desktop

Features:

 Cross platform (OSX, Windows x64, Linux x64 and ARM v7l)
 Native notifications
 System tray icon
 Open links in browser
 Badge with the number of notifications in the dock/taskbar
 Dock icon bounces when a new message is received
 Focus on contact search input via CMD+F (WIN+F)
 Phone info window (s/w versions, battery status, etc)
 Auto-launch on login
 Start minimized to tray icon
 Logging system (log to console and userData/log.log)
 Apply custom CSS stylesheet
 Auto-hide menu bar (Windows, Linux)
 Disabling GPU rendering (useful when dealing with bugged video drivers)

 A couple of things can be configured:
  Toggle avatar visibility
  Toggle preview of the messages visibility
  Set the size for the media thumbs
  Proxy settings connect to WhatsApp web

Known issues:

Fonts rendering as rectangles after upgrade. Apparently it's caused by an issue of
Electron with an older version of Pango. Upgrade Pango at least to 1.40.12 or downgrade
to 1.40.5 should fix this. See https://github.com/Enrico204/Whatsapp-Desktop/issues/13

Tray Icon is displayed wrong in KDE. This is due to some bugs between Electron
and KDE on tray icons, see this comment on issue #27 and vector-im/riot-web#3133.
A workaround is to uninstall libappindicator and libappindicator-gtk3 packages
(this will change also the behavior of click on the tray icon).

%prep
# nothing

%build
# nothing

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# download binary
cd $RPM_BUILD_DIR
wget -nc https://github.com/Enrico204/Whatsapp-Desktop/releases/download/v%{version}/WhatsApp-linux-x64.tar.gz
tar -xzf WhatsApp-linux-x64.tar.gz
                                
mkdir -p %{buildroot}/opt/%{name}
mv $RPM_BUILD_DIR/WhatsApp-linux-x64/* %{buildroot}/opt/%{name}/

# menu
mkdir -p %buildroot/%{_datadir}/applications
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/%name.desktop

# icon
mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE2 %buildroot/%{_datadir}/pixmaps/web-whatsapp.png

# symlink
mkdir -p  %buildroot/%{_bindir}
ln -fs /opt/%{name}/WhatsApp %buildroot/%{_bindir}/WhatsApp

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/*

%post
update-menus

%postun
update-menus

%files
%defattr(-,root,root)
%{_bindir}/WhatsApp
%dir /opt/%{name}
/opt/%{name}/*
%{_datadir}/pixmaps/web-whatsapp.png
%{_datadir}/applications/%name.desktop


%changelog
* Wed Jan 10 2018 Zen Subz <techars21 at gmail dot com> - 0.4.2-1pclos2018
- Update to latest release

* Tue Jan 02 2018 Zen Subz <techars21 at gmail dot com> - 0.4.0-1pclos2018
- Build for PCLinuxOS
